Page MenuHomePhabricator

[PowerPC][Power10] Add Vector Extract/Expand/Count with Mask, Move to VSR Mask Instruction Definitions and MC Tests
ClosedPublic

Authored by amyk on Jul 13 2020, 3:00 PM.

Details

Summary

This patch adds the instruction definitions and assembly/disassembly tests for the following set of instructions:

  • Vector Extract [byte | half | word | doubleword | quad] with mask
  • Vector Expand [byte | half | word | doubleword | quad] with mask
  • Move to VSR [byte | byte immediate | half | word | doubleword | quad] with mask
  • Vector Count Mask Bits [byte | half | word | doubleword]

Diff Detail

Event Timeline

amyk created this revision.Jul 13 2020, 3:00 PM
bsaleil accepted this revision.Jul 15 2020, 12:21 PM
bsaleil added a subscriber: bsaleil.

LGTM

This revision is now accepted and ready to land.Jul 15 2020, 12:21 PM
This revision was landed with ongoing or failed builds.Aug 7 2020, 9:06 AM
This revision was automatically updated to reflect the committed changes.